# Acquia Optimize Development Notes

## Project Overview
This module provides Acquia Optimize functionality as a Drupal module with an Experience Builder extension UI.

## Common Tasks

### Build the UI
```bash
cd ui
npm install
npm run build
```

### Drupal Commands
- `ddev drush cr` - Clear cache after UI changes
- `ddev drush en acquia_optimize` - Enable the module
- `ddev drush pm:uninstall acquia_optimize` - Uninstall the module

### Experience Builder Extension Issue
- Extension appears in XB sidebar but component isn't rendering properly
- Use UMD format in rollup.config.js (not ES format)
- Ensure proper dependencies in libraries.yml
- Check for React portal setup in the extension component
